All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.publicobject
Interface DetailsProcessorInterface

All Superinterfaces:
  com.sas.services.information.publicobject.ProcessorInterface, java.rmi.Remote

    public interface DetailsProcessorInterface

extends com.sas.services.information.publicobject.ProcessorInterface

This interface is used to process/get the basic information necessary about an object, such as its description, keywords, and created/modified dates. Most applications use this information to display properties about an object.

Field Summary
`static java.lang.String` | `NAME` Name of this interface to be used when referencing this.

Method Summary
`java.util.Date` | `getCreateDate()` Get the date this object was created.
`java.lang.String` | `getCreatedBy()` Gets the name of the user that created the object.
`ResponsibilityDetails` | `getCreatedByDetails()` Gets the identity information for the user that created the object.
`java.lang.String` | `getDescription()` The description of this object.
`java.lang.String` | `getDisplayName()` The display name of this object.
`java.util.List<java.lang.String>` | `getKeywords()` Get the keywords associated to the object.
`java.lang.String` | `getModifiedBy()` Gets the name of the user that modified the object.
`ResponsibilityDetails` | `getModifiedByDetails()` Gets the identity information for the user that modified the object.
`java.util.Date` | `getModifyDate()` Get the date this object was modified.
`java.lang.String` | `getName()` The name of this object.
`java.util.List<ResponsibilityDetails>` | `getResponsibilities()` Gets the responsibilities associated to the public object.
`TypeDescriptorInterface` | `getType()` Get the type descriptor associated to the public object.
`com.sas.util.UsageVersion` | `getUsageVersion()` The usage version of this object.

Field Detail

### NAME

    static final java.lang.String NAME

  Name of this interface to be used when referencing this.

  See Also:
    Constant Field Values

Method Detail

### getType

    TypeDescriptorInterface getType()
                                    throws ServiceException,
                                           java.rmi.RemoteException

  Get the type descriptor associated to the public object.

  Returns:
    the type descriptor
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getName

    java.lang.String getName()
                             throws ServiceException,
                                    java.rmi.RemoteException

  The name of this object.

  Returns:
    the object's name
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getDisplayName

    java.lang.String getDisplayName()
                                    throws ServiceException,
                                           java.rmi.RemoteException

  The display name of this object. By default, most implementations will return the same value as `getName()`. However, implementations may choose to return a different value if applicable. If a different value is not avalaible, the object's name should be returned instead.

  Returns:
    the object's display name
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getDescription

    java.lang.String getDescription()
                                    throws ServiceException,
                                           java.rmi.RemoteException

  The description of this object.

  Returns:
    the object's description
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getUsageVersion

    com.sas.util.UsageVersion getUsageVersion()
                                              throws ServiceException,
                                                     java.rmi.RemoteException

  The usage version of this object. Returns a null value if a usage version was not found.

  Returns:
    the object's version
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getCreateDate

    java.util.Date getCreateDate()
                                 throws ServiceException,
                                        java.rmi.RemoteException

  Get the date this object was created.

  Returns:
    created date
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getCreatedBy

    java.lang.String getCreatedBy()
                                  throws ServiceException,
                                         java.rmi.RemoteException

  Gets the name of the user that created the object.

  Returns:
    created by name
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getCreatedByDetails

    ResponsibilityDetails getCreatedByDetails()
                                              throws ServiceException,
                                                     java.rmi.RemoteException

  Gets the identity information for the user that created the object.
  - To retrieve the identity's name, use `ResponsibilityDetails.getName()`.
  - To retrieve the identity's display name, use `ResponsibilityDetails.getUserName()`.

  Returns:
    created by information
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getModifyDate

    java.util.Date getModifyDate()
                                 throws ServiceException,
                                        java.rmi.RemoteException

  Get the date this object was modified.

  Returns:
    modified date
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getModifiedBy

    java.lang.String getModifiedBy()
                                   throws ServiceException,
                                          java.rmi.RemoteException

  Gets the name of the user that modified the object.

  Returns:
    modified by name
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getModifiedByDetails

    ResponsibilityDetails getModifiedByDetails()
                                               throws ServiceException,
                                                      java.rmi.RemoteException

  Gets the identity information for the user that modified the object.
  - To retrieve the identity's name, use `ResponsibilityDetails.getName()`.
  - To retrieve the identity's display name, use `ResponsibilityDetails.getUserName()`.

  Returns:
    modified by information
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getKeywords

    java.util.List<java.lang.String> getKeywords()
                                                 throws ServiceException,
                                                        java.rmi.RemoteException

  Get the keywords associated to the object.

  Returns:
    list of keywords
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getResponsibilities

    java.util.List<ResponsibilityDetails> getResponsibilities()
                                                              throws ServiceException,
                                                                     java.rmi.RemoteException

  Gets the responsibilities associated to the public object.

  Returns:
    list of responsibilities
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.